﻿html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

a, .btn-link {
    color: #006bb7;
}

.btn-primary {
    color: #fff;
    background-color: #f5870f;
    border-color: #1861ac;
}

    .btn-primary.active {
        background-color: #f5870f;
        border-color: #1861ac;
    }

    .btn-primary:disabled {
        color: #333333;
        background-color: #ffe8d7;
        border-color: #1861ac;
    }

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #0f7df5;
}

.form-control {
    background-color: #ffe8d7;
}

    .form-control:focus {
        background-color: #ffe8d7;
    }

.button-grid {
    height: 50px;
    margin-left: 0rem;
}

.button-stack {
    display: flex;
    flex-direction: column;
    gap: 10px; /* Adds space between buttons */
}

.option-button {
    padding: 10px 20px;
    border: 1px solid #ccc;
    border-radius: 4px;
    background-color: white;
    cursor: pointer;
    transition: background-color 0.2s;
}

    .option-button:hover {
        background-color: #f0f0f0;
    }

    .option-button.selected {
        background-color: #0f7df5; /*complimentary blue*/
        color: white;
        border-color: #007bff;
    }

.content {
    padding-top: 1.1rem;
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.two-columns {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.column {
    padding: 1rem;
    width: 100%;
    background-color: whitesmoke;
    border-radius: 20px;
}

.left {
    /* Optional styling */
}

.right {
    /* Optional styling */
}

.form-row {
    display: flex;
    gap: 0.5rem; /* spacing between input and label */
    margin-top: 0.5rem;
}

    .form-row label {
        white-space: nowrap;
        width: 27%
    }

.form-row-flex {
    display: flex;
    gap: 0.5rem; /* spacing between input and label */
    margin-top: 0.5rem;
    flex-direction: column;
}

.menu-items-flex {
    display: flex;
    gap: 0.5rem;
    margin-top: 0.5rem;
    flex-direction: column;
}

.smaller-text {
    font-size: 0.8rem; /* or use 90%, 14px, etc. */
}

.highligt-message {
    background-color: #ffe8d7;
    margin: 2rem;
    border: 2px solid lightgray;
    padding: 1rem;
    border-radius: 25px;
}


.error-block {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    padding: 1.5rem;
    border: 1px solid gray;
    border-radius: 1rem;
    background-color: #ffff0047;
    white-space: pre-wrap;
    max-width: 54rem;
}

.form-block {
    margin-top: 1.5rem;
    margin-bottom: 1.5rem;
    padding: 1.5rem;
    border: 1px solid gray;
    border-radius: 1rem;
    background-color: #ffe8d7;
    width: 100%
    /*max-width: 54rem;*/
}

    .form-block label {
        display: block;
        line-height: 1.1rem;
    }


.form-block-inner {
    padding: 1rem;
    width: 100%;
    border: 1px solid gray;
    border-color: #0f7df5; /*complimentary blue*/
    background-color: whitesmoke;
    border-radius: 20px;
    margin-bottom: 1rem;
}
.center-block {
    padding: 1rem;
    margin: auto;
    width: 100%;
    background-color: whitesmoke;
    border-radius: 10px;
}

.menu-container {
    padding: 1rem;
    width: 100%;
    max-width: 100vw;
    box-sizing: border-box;
    overflow-x: hidden;
    margin-bottom: 0;
}

.sp-banner {
    display: flex;
    justify-content: space-between;
    font-family: 'Lora', serif;
    margin: 10px;
    border-top-left-radius: 1rem;
    border-top-right-radius: 1rem;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    padding-top: 1rem;
    padding-left: 3rem;
    padding-right: 3rem;
    color: white;
    background-color: #ff994e;
}

.sp-banner-sub {
    display: flex;
    justify-content: flex-end;
    font-family: 'Lora', serif;
    margin-top: -30px;
    margin-left: -14px;
    margin-right: -14px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
    padding-top: 0rem;
    padding-left: 0rem;
    padding-right: 1rem;
    color: white;
    background-color: #ff994e;
    margin-bottom: 2rem;
    /*position: fixed;  MIGHT WANT TO ADD TO KEEP FROM SCROLLING
    top: 20px;*/ /* Distance from the top of the viewport */
    /*right: 20px;*/ /* Distance from the right */
}

.borderless-dropdown {
    border: none;
    outline: none;
    font-family: 'Lora', serif;
    color: white;
    background: #ff994e;
}

.admin-block {
    display: flex;
    border: 1px solid #0f7df5; /*complimentary blue*/
    border-radius: 1rem;
    border-color: #ff994e;
    padding: 1rem;
    margin-bottom: 2rem;
    flex-direction: column;
}

.dual_address {
    display: flex;
    flex-direction: column;
    gap: 2rem;
}

.address-block {
    border: 1px solid #0f7df5; /*complimentary blue*/
    border-radius: 1rem;
    background-color: whitesmoke;
    padding: 1rem;
}

.grid-block {
    display: flex;
    width: 100%;
    box-sizing: border-box;
    flex-direction: column;
    border: 1px solid #0f7df5;
    border-radius: 1rem;
    padding: 1rem;
    margin-bottom: 1rem;
}

.grid-line {
    display: flex; /* align children in a row */
    width: 100%;
    flex-direction: row;
    gap: 4px; /* space between each item */
    margin-bottom: 0px; /* space between rows */
    margin-left: 10rem;
    align-items: center; /* vertically center items */
    clear: both;
}

.bpi-breadcrumbs {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    max-width: 54rem;
}

.bpi-breadcrumb-text {
    padding: .5rem 1rem;
}

.input-block {
    padding: 1rem;
    width: 100%;
    background-color: whitesmoke;
    border-radius: 20px;
    flex-direction: column;
}

.input-item {
    background-color: whitesmoke;
    border-radius: 5px;
}

.grid-frame {
    flex-direction: column;
    border: none;
}

.grid-header-row {
    display: flex;
    flex-wrap: nowrap; /* Ensure they stay on one row */
}

.grid-header {
    display: none;
}

.grid-header-narrow {
    display: none;
}

.grid-header-wide {
    display: none;
}

.data-label {
    width: 4rem;
    font-weight: bold;
    display: block;
}

.data-value {
    width: 10rem;
}

.data-value-narrow {
    width: 8rem;
}

.data-value-wide {
    width: 15rem;
}
.data-value-extrawide {
    width: 30rem;
}

.block-heading {
    display: flex;
    font-size: large;
    font-weight: bold;
    color: #0f7df5; /*complimentary blue*/
    justify-content: space-between;
    margin-bottom: 1rem;
}
.menu-heading {
    display: flex;
    font-size: large;
    font-weight: bold;
    justify-content: space-between;
    color: #0f7df5; /*complimentary blue*/
    background-color: #ffe8d7;
    border-bottom: 1px solid gray;
    margin-bottom: 0;
    padding: .5rem 1rem;
}
.menu-body {
    border-bottom: 1px solid gray;
    margin-top: 0;
}

.section-heading {
    display: flex;
    font-weight: bold;
    justify-content: space-between;
    margin-bottom: 1rem;
}
.sub-section-heading {
    display: flex;
    font-weight: bold;
    justify-content: space-between;
}

.crud-form-row {
    display: block;
    margin-bottom: 1rem;
}

    .crud-form-row label {
        display: block;
        margin-bottom: 0.25rem;
        font-weight: 600;
    }

    .crud-form-row input,
    .crud-form-row .form-control {
        width: 100%;
        max-width: 10rem;
    }



.non-printable {
    display: inline-flex; /* Shrink to fit content */
    gap: 10px; /* Space between buttons */
    border: 1px solid #333; /* Simple border */
    border-radius: 10px;
    padding: 10px; /* Some inner spacing */
    float: right; /* Align to the right of its container */
    text-align: center; /* Optional: center text inside */
    background-color: #ffe8d7;
}

.non-printable-button {
    display: inline-flex;
    max-width: 7rem;
    margin-top: .5rem;
}
.link-button {
    background: none;
    border: none;
    padding: 0;
    text-align: left;
    cursor: pointer;
}

#quillEditor .ql-editor {
    background-color: whitesmoke;
}
.rich-text-output {
    white-space: pre-wrap; /* preserves spaces, tabs, line breaks */
}

    .rich-text-output * {
        font-size: inherit !important; /* let Quill classes take effect */
    }

@media print, (min-width:768px) {
    .button-grid {
        height: 30px;
        margin-left: 1rem;
    }

    .two-columns {
        flex-direction: row;
    }

    .form-row-flex {
        flex-direction: row;
    }

    .menu-items-flex {
        flex-direction: row;
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        gap: 0.5rem;
    }

        .menu-items-flex > * {
            flex: 1 1 180px; /* grow | shrink | minimum width */
            min-width: 0; /* allows items to actually shrink */
        }



    .dual_address {
        flex-direction: row;
    }
    .center-block {
        width: 50vw;
    }

    .grid-block {
        flex-direction: row;
        border: none;
        padding: 0;
        margin-bottom: 0.25rem;
    }

        .grid-block:nth-of-type(odd) {
            background: #f2f2f2;
            border-radius:0;
        }

    .grid-header {
        display: block;
        font-weight: bold;
        width: 10rem;
    }

    .grid-header-narrow {
        display: block;
        font-weight: bold;
        width: 8rem;
    }

    .grid-header-wide {
        display: block;
        font-weight: bold;
        width: 15rem;
    }
    .grid-header-extrawide {
        display: block;
        font-weight: bold;
        width: 30rem;
    }

    .data-label {
        display: none;
        width: 4rem;
    }

    .grid-frame {
        border: none; /*1px solid #0f7df5;*/ /*complimentary blue*/
        /*border-radius: 1rem;*/
        padding: 1rem;
    }

    .bpi-breadcrumbs {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 1rem;
    }

    .sp-banner-sub {
        margin-top: -55px;
    }

    .button-stack {
        flex-direction: row;
    }

    .crud-form-row {
        display: flex;
        align-items: center;
    }

        .crud-form-row label {
            width: 12rem;
            margin-right: 1rem;
            margin-bottom: 0;
        }

        .crud-form-row input,
        .crud-form-row .form-control {
            width: 100%;
            max-width: 10rem;
            text-align: right;
        }
}
@media print, (min-width:1690px) {
    .grid-header {
        width: 15rem;
    }

    .grid-header-narrow {
        width: 13rem;
    }

    .grid-header-wide {
        width: 20rem;
    }
    .grid-header-extrawide {
        width: 35rem;
    }
    .data-value {
        width: 15rem;
    }

    .data-value-narrow {
        width: 13rem;
    }

    .data-value-wide {
        width: 20rem;
    }
    .data-value-extrawide {
        width: 35rem;
    }
}
    @media print {
        .non-printable {
            display: none !important;
        }
        .sp-banner {
            display: none !important;
        }

        .non-printable-button {
            display: none !important;
        }
    }
